edgeConnectivity {RBGL} | R Documentation

## computed edge connectivity and min disconnecting set for an undirected graph

### Description

computed edge connectivity and min disconnecting set for an undirected graph

### Usage

    edgeConnectivity(g)

### Arguments

`g` | an instance of the `graph` class with `edgemode` “undirected”

### Details

Consider a graph G consisting of a single connected component. The edge connectivity of G is the minimum number of edges in G that can be cut to produce a graph with two (disconnected) components. The set of edges in this cut is called the minimum disconnecting set.

### Value

A list:

`connectivity` | the integer describing the number of edges that must be severed to obtain two components
`minDisconSet` | a list (of length `connectivity`) of pairs of node names describing the edges that need to be cut to obtain two components

### Author(s)

Vince Carey <stvjc@channing.harvard.edu>

### References

Boost Graph Library by Siek et al.

### See Also

`minCut`, `edmunds.karp.max.flow`, `push.relabel.max.flow`

### Examples

    coex <- fromGXL(file(system.file("XML/conn.gxl",package="RBGL"), open="r"))
    edgeConnectivity(coex)

[Package RBGL version 1.10.0 Index]